> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Ajoute des enregistrements au catalogue indiqué

> Le nombre maximal d’enregistrements pouvant être ajoutés à la fois est de 5 000



## OpenAPI

````yaml /fr/openapi.json post /api/publicapi/v1/catalogs/{catalogId}/records
openapi: 3.0.4
info:
  description: 'Environnement : Production<br>Version du produit : 1.6.17'
  title: Vantage processing REST API
  version: '1.0'
  x-application-version: 1.6.17
servers:
  - description: Production – États-Unis
    url: https://vantage-us.abbyy.com
  - description: Production – Europe
    url: https://vantage-eu.abbyy.com
  - description: Production – Australie
    url: https://vantage-au.abbyy.com
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/publicapi/v1/catalogs/{catalogId}/records:
    post:
      tags:
        - CatalogRecords
      summary: Ajoute des enregistrements au catalogue indiqué
      description: >-
        Le nombre maximal d’enregistrements pouvant être ajoutés à la fois est
        de 5 000
      operationId: AddRecords
      parameters:
        - description: >-
            Identifiant de catalogue. Vous pouvez le trouver dans la liste de
            tous les catalogues.
          in: path
          name: catalogId
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/*+json:
            schema:
              items:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Requests.RecordModel
              maxItems: 5000
              minItems: 1
              type: array
          application/json:
            schema:
              items:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Requests.RecordModel
              maxItems: 5000
              minItems: 1
              type: array
          application/json-patch+json:
            schema:
              items:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Requests.RecordModel
              maxItems: 5000
              minItems: 1
              type: array
          text/json:
            schema:
              items:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Requests.RecordModel
              maxItems: 5000
              minItems: 1
              type: array
        description: Enregistrements à ajouter
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.AddRecordsResultResult
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.AddRecordsResultResult
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.AddRecordsResultResult
          description: >-
            L’opération s’est terminée avec succès. Vous trouverez les détails
            dans la réponse.
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
          description: Nombre incorrect d’enregistrements
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
          description: Catalogue introuvable
components:
  schemas:
    Abbyy.Vantage.PublicApi.Contract.Catalogs.Requests.RecordModel:
      additionalProperties: false
      description: Modèle représentant un enregistrement dans un catalogue
      properties:
        fields:
          additionalProperties:
            items:
              type: string
            nullable: true
            type: array
          description: Champs de l’enregistrement
          type: object
        id:
          description: Identifiant unique de l’enregistrement
          minLength: 1
          type: string
      required:
        - fields
        - id
      type: object
    Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.AddRecordsResultResult:
      additionalProperties: false
      properties:
        errorRows:
          additionalProperties:
            items:
              type: string
            nullable: true
            type: array
          description: Liste des erreurs survenues
          type: object
        insertedRowCount:
          description: Nombre de lignes insérées avec succès
          format: int32
          type: integer
      required:
        - errorRows
        - insertedRowCount
      type: object
    Microsoft.AspNetCore.Mvc.ProblemDetails:
      additionalProperties: {}
      properties:
        detail:
          nullable: true
          type: string
        instance:
          nullable: true
          type: string
        status:
          nullable: true
          type: string
        title:
          nullable: true
          type: string
        type:
          nullable: true
          type: string
      type: object
  securitySchemes:
    OAuth2Security:
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-preview.abbyy.com/auth2/connect/authorize
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions
          tokenUrl: https://vantage-preview.abbyy.com/auth2/connect/token
      type: oauth2

````